Developers
API referenceWebhook endpoints

Update a webhook endpoint

PATCH
/webhook-endpoints/{id}

Changes the URL, events, description or status. Setting status to enabled re-enables an endpoint the Platform disabled after failed deliveries.

Scope: webhooks:manage.

Authorization

bearerAuth
AuthorizationBearer <token>

A Platform API token, wyc_live_... or wyc_test_..., created at Settings > API tokens in the dashboard.

In: header

Path Parameters

id*string

Id of the webhook endpoint.

Match^whe_[A-Za-z0-9]{24}$

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Create (POST) or update (PATCH) a webhook endpoint.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/webhook-endpoints/string" \  -H "Content-Type: application/json" \  -d '{    "events": [      "allocation.created",      "allocation.planted",      "allocation.monitored",      "verification.published"    ],    "status": "enabled"  }'
{  "id": "whe_2xL7rCkZa8bW1vT9yN6pDmQ3",  "object": "webhook_endpoint",  "livemode": true,  "url": "https://example.com/webhooks/woodyoucare",  "description": "CRM sync",  "events": [    "allocation.created",    "allocation.planted",    "verification.published"  ],  "include_personal_data": false,  "status": "enabled",  "disabled_reason": null,  "created_at": "2026-09-28T09:00:00Z",  "updated_at": "2026-09-28T09:00:00Z"}